/*
 * Copyright (c) 1996, 2003 VIA Networking Technologies, Inc.
 * All rights reserved.
 *
 * This software is copyrighted by and is the sole property of
 * VIA Networking Technologies, Inc. This software may only be used
 * in accordance with the corresponding license agreement. Any unauthorized
 * use, duplication, transmission, distribution, or disclosure of this
 * software is expressly forbidden.
 *
 * This software is provided by VIA Networking Technologies, Inc. "as is"
 * and any express or implied warranties, including, but not limited to, the
 * implied warranties of merchantability and fitness for a particular purpose
 * are disclaimed. In no event shall VIA Networking Technologies, Inc.
 * be liable for any direct, indirect, incidental, special, exemplary, or
 * consequential damages.   
 *
 * File: wetctl.h
 *
 * Author: lyndon chen 
 * Date: Jan 2, 2003 
 */
 
 
#ifndef __WETCTL_H__
#define __WETCTL_H__

#define     VERSION             "1.04"
#define		APPNAME				"wetctl"
#define		JOIN				"join"
#define		PRIVACY				"privacy"
#define		SCAN				"scan"
#define		GETLIST				"list"
#define		GETLINK				"link"
#define		GETMIB				"mib"
#define		GETSTAT				"stat"
#define		STOP			    "stop"
#define		START			    "start"
#define		APSTART			    "apstart"
#define		HOSTAP_ON		    "hostap_on"
#define		HOSTAP_OFF		    "hostap_off"
#define		GETNODE				"nodes"
#define     RATE_1M             0
#define     RATE_2M             1
#define     RATE_5M             2
#define     RATE_11M            3
#define     RATE_6M             4
#define     RATE_9M             5
#define     RATE_12M            6
#define     RATE_18M            7
#define     RATE_24M            8
#define     RATE_36M            9
#define     RATE_48M            10
#define     RATE_54M            11

#endif /* __WETCTL_H__*/

